Get curation feed health summary
GET
/api/v3/curations/feeds/health-summary
const url = 'https://api.tryletterhead.com/api/v3/curations/feeds/health-summary?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/curations/feeds/health-summary?api=true' \ --header 'Authorization: Bearer <token>'Returns roll-up counts of the companyβs RSS and JSON data feeds by health status β how many are actively crawling versus erroring β for a feeds-health widget.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βQuery Parameters
Section titled βQuery Parameters β api
required
boolean
Required. Set to true to authenticate with your company API key rather than a signed-in session.
Responses
Section titled β Responses β200 OK
Media type application/json
object
items
object
total
integer
totalActive
integer
totalError
integer
message
string
total
integer
Example
{ "items": { "total": 14, "totalActive": 12, "totalError": 2 }, "message": "Feed health summary fetched successfully.", "total": 0}Still can’t find what you need? Contact support.